### Method

# Gio FileInfo set_attribute

#### Declaration

    void
    g_file_info_set_attribute (
      GFileInfo* info,
      const char* attribute,
      GFileAttributeType type,
      gpointer value_p
    )

#### Description

Sets the `attribute` to contain the given value, if possible. To unset the attribute, use `G_FILE_ATTRIBUTE_TYPE_INVALID` for `type`.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GFileAttributeType`

  A `GFileAttributeType`.

`value_p`

  Type: `gpointer`

  Pointer to the value.

  The data is owned by the caller of the method.